openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/BX_FAVOS_CHANGE_NODE_INFO:
    post:
      tags:
      - SMTR_NAVIGATION_MODULES_BX
      operationId: /rfc/BX_FAVOS_CHANGE_NODE_INFO
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CHANGE_GUID:
                  type: string
                  default: X
                  maxLength: 1
                CHANGE_INFOS:
                  type: string
                  default: X
                  maxLength: 1
                CHANGE_PERS:
                  type: string
                  maxLength: 1
                  description: Customized ('C') or standard menu ('S') flag
                CHANGE_POSITION:
                  type: string
                  default: X
                  maxLength: 1
                CHANGE_URL:
                  type: string
                  default: X
                  maxLength: 1
                INFOS:
                  type: string
                  default: ' '
                  maxLength: 12
                  description: Customized ('C') or standard menu ('S') flag
                OBJECT_ID:
                  type: integer
                  format: int64
                PERS_MINI:
                  type: string
                  maxLength: 1
                  description: Customized ('C') or standard menu ('S') flag
                PERS_WIN:
                  type: string
                  maxLength: 1
                  description: Customized ('C') or standard menu ('S') flag
                SAP_GUID:
                  type: string
                  default: ' '
                  maxLength: 32
                  description: Customized ('C') or standard menu ('S') flag
                URL:
                  type: string
                  default: ' '
                  maxLength: 255
                  description: Customized ('C') or standard menu ('S') flag
                USER_NAME:
                  type: string
                  default: SY-UNAME
                  maxLength: 12
                X_POS:
                  type: integer
                  format: int64
                  default: 0
                  description: Customized ('C') or standard menu ('S') flag
                Y_POS:
                  type: integer
                  format: int64
                  default: 0
                  description: Customized ('C') or standard menu ('S') flag
              required:
              - OBJECT_ID
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
